package org.wcs.mapper.intf;

import com.baomidou.mybatisplus.extension.service.IService;
import org.wcs.model.po.app.AppBasePlc;

import java.util.List;


public interface AppBasePlcService extends IService<AppBasePlc> {

    List<AppBasePlc> queryIndistinct(String plcName, Integer plcType);
    List<AppBasePlc> queryById(Integer plcId);
    List<AppBasePlc> queryAll();
    int insert(AppBasePlc appBasePlc); // 插入一条数据
    int update(AppBasePlc appBasePlc);
    int deletePlc(Integer plcId); // 删除一条数据

}
